{% include "@ui-site-layout/component/site-header/site-header.twig" with {
  site_header_main_menu: drupal_block('system_menu_block:main', {
    label: 'Main Menu'|t,
    id: 'main',
    label_display: false,
    level: 1,
    depth: 2,
    expand_all_items: true
  }),
  site_header_branding_block: drupal_block('system_branding_block'),
  site_header_social_menu: drupal_block('system_menu_block:social', {
    label: 'Connect with us'|t,
    id: 'social-header',
    label_display: true
  }),
} %}

{% include "@ui-site-layout/component/site-main/site-main.twig" with {
  site_main_page_system: page.system,
  site_main_page_content: page.content,
  site_main_webform_contact: drupal_entity('webform', 'contact')
} %}

{% include "@ui-site-layout/component/site-footer/site-footer.twig" with {
  site_footer_social_menu: drupal_block('system_menu_block:social', {
    label: 'Connect with us'|t,
    id: 'social-footer',
    label_display: true
  }),
  site_footer_footer_menu: drupal_block('system_menu_block:footer', {
    label: 'Footer Menu'|t,
    id: 'footer',
    label_display: false,
    level: 1,
    expand_all_items: true
  }),
  site_footer_corporate_menu: drupal_block('system_menu_block:corporate', {
    label: 'Corporate Menu'|t,
    id: 'corporate',
    label_display: false,
    level: 1,
    expand_all_items: true
  }),
} %}
